<?php

/**
 * Cat form.
 *
 * @package    sf
 * @subpackage form
 * @author     Atma
 * @version    SVN: $Id: sfDoctrineFormTemplate.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class CatForm extends BaseCatForm
{
  public function configure()
  {
    $this->useFields(array('title', 'min_weight', 'price', 'order_id'));

      $this->widgetSchema['title'] =  new sfWidgetFormTextarea(array(), array("autocomplete" => "off", "rows" => 1, "cols" => 70, "required" => true));
      $this->widgetSchema['min_weight'] =  new sfWidgetFormInputText(array(), array("autocomplete" => "off", "size" => 10, "maxlength" => 10, "required" => true));
      $this->widgetSchema['price'] =  new sfWidgetFormInputText(array(), array("autocomplete" => "off", "size" => 10, "maxlength" => 10, "required" => true));
      $this->widgetSchema['order_id'] =  new sfWidgetFormInputText(array(), array("autocomplete" => "off", "size" => 8, "maxlength" => 8, "required" => true));
  }
}
